=== debian/changelog ===
umoci (0.4.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #902024).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 06 Jul 2018 12:51:45 +1000
