=== debian/control ===
Source: umoci
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~)
              ,dh-golang
              ,golang-any
    ,golang-github-apex-log-dev
    ,golang-github-cyphar-filepath-securejoin-dev
    ,golang-github-docker-go-units-dev
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev
    ,golang-github-opencontainers-specs-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-urfave-cli-dev
    ,golang-github-vbatts-go-mtree-dev
    ,golang-gocapability-dev
    ,golang-golang-x-net-dev
    ,golang-golang-x-sys-dev
    ,golang-goprotobuf-dev
    ,go-md2man
Standards-Version: 4.1.4
Homepage: https://github.com/openSUSE/umoci
Vcs-Browser: https://salsa.debian.org/go-team/packages/umoci
Vcs-Git: https://salsa.debian.org/go-team/packages/umoci.git
XS-Go-Import-Path: github.com/openSUSE/umoci
Testsuite: autopkgtest-pkg-go

Package: umoci
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open Container Images manipulation tool
 umoci creates and modifies Open Container images.
 See the official website (https://umo.ci/) for more accessible
 documentation about how to use umoci.
 .
 umoci intends to be a complete manipulation tool for OCI images
 (https://github.com/opencontainers/image-spec).  In particular, it should
 be seen as a more end-user-focused version of the oci-image-tools provided
 by the OCI (https://github.com/opencontainers/image-tools). The hope is
 that all of this tooling will eventually be merged with the upstream
 repository, so that it is always kept up-to-date by the Open Container
 Initiative community.
 .
 umoci provides tooling that can abstract all of the internals of the OCI
 specification into a single CLI interface.
