=== debian/rules ===
#!/usr/bin/make -f

## Depends += gogoprotobuf golang-goprotobuf-dev
export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	COMMIT=1 COMMIT_NO=1 $(MAKE) doc
	dh_auto_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'
	-find . -type f -name '*.generated.go' -delete -printf 'removed %p\n'     ## delete .generated.go files
	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files

override_dh_auto_install:
	dh_auto_install -- --no-source
