## umoci 0.4.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 # Go tools.
 GO ?= go
 GO_MD2MAN ?= go-md2man
+export GO111MODULE=off
 
 # Set up the ... lovely ... GOPATH hacks.
 PROJECT := github.com/openSUSE/umoci
@@ -39,9 +40,21 @@
 COMMIT_NO := $(shell git rev-parse HEAD 2> /dev/null || true)
 COMMIT := $(if $(shell git status --porcelain --untracked-files=no),"${COMMIT_NO}-dirty","${COMMIT_NO}")
 
+# Basic build flags.
 BUILD_FLAGS ?=
-DYN_BUILD_FLAGS := $(BUILD_FLAGS) -buildmode=pie -ldflags "-s -w -X main.gitCommit=${COMMIT} -X main.version=${VERSION}" -tags "$(BUILDTAGS)"
-STATIC_BUILD_FLAGS := $(BUILD_FLAGS) -ldflags "-s -w -extldflags '-static' -X main.gitCommit=${COMMIT} -X main.version=${VERSION}" -tags "$(BUILDTAGS)"
+BASE_FLAGS := ${BUILD_FLAGS} -tags "${BUILDTAGS}"
+BASE_LDFLAGS := -s -w -X main.gitCommit=${COMMIT} -X main.version=${VERSION}
+
+# Specific build flags for build type.
+DYN_BUILD_FLAGS := ${BASE_FLAGS} -buildmode=pie -ldflags "${BASE_LDFLAGS}"
+TEST_BUILD_FLAGS := ${BASE_FLAGS} -buildmode=pie -ldflags "${BASE_LDFLAGS} -X ${PROJECT}/pkg/testutils.binaryType=test"
+STATIC_BUILD_FLAGS := ${BASE_FLAGS} -ldflags "${BASE_LDFLAGS} -extldflags '-static'"
+
+# Installation directories.
+DESTDIR ?=
+PREFIX ?=/usr
+BINDIR ?=$(PREFIX)/bin
+MANDIR ?=$(PREFIX)/share/man
 
 .DEFAULT: umoci
 
@@ -56,27 +69,30 @@
 	env CGO_ENABLED=0 $(GO) build ${STATIC_BUILD_FLAGS} -o $(BUILD_DIR)/$@ ${CMD}
 
 umoci.cover: $(GO_SRC)
-	$(GO) test -c -cover -covermode=count -coverpkg=./... ${DYN_BUILD_FLAGS} -o $(BUILD_DIR)/$@ ${CMD}
+	$(GO) test -c -cover -covermode=count -coverpkg=./... ${TEST_BUILD_FLAGS} -o $(BUILD_DIR)/$@ ${CMD}
 
 .PHONY: release
 release:
 	hack/release.sh -S "$(GPG_KEYID)" -r release/$(VERSION) -v $(VERSION)
 
 .PHONY: install
-install: $(GO_SRC)
-	$(GO) install -v ${DYN_BUILD_FLAGS} ${CMD}
+install: umoci doc
+	install -D -m0755 umoci $(DESTDIR)/$(BINDIR)/umoci
+	-for man in $(MANPAGES); do \
+		filename="$$(basename -- "$$man")"; \
+		target="$(DESTDIR)/$(MANDIR)/man$${filename##*.}/$$filename"; \
+		install -D -m0644 "$$man" "$$target"; \
+		gzip -9f "$$target"; \
+	 done
 
-.PHONY: install.static
-install.static: $(GO_SRC)
-	$(GO) install -v ${STATIC_BUILD_FLAGS} ${CMD}
-
-.PHONY: update-deps
-update-deps:
-	hack/vendor.sh
+.PHONY: uninstall
+uninstall:
+	rm -f $(DESTDIR)/$(BINDIR)/umoci
+	-rm -f $(DESTDIR)/$(MANDIR)/man*/umoci*
 
 .PHONY: clean
 clean:
-	rm -f umoci umoci.static
+	rm -f umoci umoci.static umoci.cov*
 	rm -f $(MANPAGES)
 
 .PHONY: validate
@@ -89,17 +105,20 @@
 # TODO: Remove the special-case ignored system/* warnings.
 .PHONY: local-validate-go
 local-validate-go:
-	@which gofmt    >/dev/null 2>/dev/null || (echo "ERROR: gofmt not found." && false)
+	@type gofmt     >/dev/null 2>/dev/null || (echo "ERROR: gofmt not found." && false)
 	test -z "$$(gofmt -s -l . | grep -vE '^vendor/|^third_party/' | tee /dev/stderr)"
-	@which golint   >/dev/null 2>/dev/null || (echo "ERROR: golint not found." && false)
+	@type golint    >/dev/null 2>/dev/null || (echo "ERROR: golint not found." && false)
 	test -z "$$(golint $(PROJECT)/... | grep -vE '/vendor/|/third_party/' | tee /dev/stderr)"
 	@go doc cmd/vet >/dev/null 2>/dev/null || (echo "ERROR: go vet not found." && false)
 	test -z "$$($(GO) vet $$($(GO) list $(PROJECT)/... | grep -vE '/vendor/|/third_party/') 2>&1 | tee /dev/stderr)"
+	@type gosec     >/dev/null 2>/dev/null || (echo "ERROR: gosec not found." && false)
+	test -z "$$(gosec -quiet -exclude=G301,G302,G304 $$GOPATH/$(PROJECT)/... | tee /dev/stderr)"
+	./hack/test-vendor.sh
 
 EPOCH_COMMIT ?= 97ecdbd53dcb72b7a0d62196df281f131dc9eb2f
 .PHONY: local-validate-git
 local-validate-git:
-	@which git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found." && false)
+	@type git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found." && false)
 ifdef TRAVIS_COMMIT_RANGE
 	git-validation -q -run DCO,short-subject
 else
