=== debian/changelog ===
umoci (0.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 02 Feb 2019 14:08:05 +1100

umoci (0.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release
    + golang-github-fatih-color-dev (Closes: #917595)
    + golang-github-klauspost-pgzip-dev
    + golang-github-mattn-go-colorable-dev
    + golang-github-opencontainers-runtime-tools-dev
  * Standards-Version: 4.3.0

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 28 Jan 2019 00:14:27 +1100
