=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: umoci
 Section: devel
 Priority: optional
+Standards-Version: 4.3.0
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11~)
@@ -9,8 +10,12 @@
     ,golang-github-apex-log-dev
     ,golang-github-cyphar-filepath-securejoin-dev
     ,golang-github-docker-go-units-dev
+    ,golang-github-fatih-color-dev
+    ,golang-github-klauspost-pgzip-dev
+    ,golang-github-mattn-go-colorable-dev
     ,golang-github-opencontainers-go-digest-dev
     ,golang-github-opencontainers-image-spec-dev
+    ,golang-github-opencontainers-runtime-tools-dev
     ,golang-github-opencontainers-specs-dev
     ,golang-github-pkg-errors-dev
     ,golang-github-urfave-cli-dev
@@ -20,7 +25,6 @@
     ,golang-golang-x-sys-dev
     ,golang-goprotobuf-dev
     ,go-md2man
-Standards-Version: 4.1.4
 Homepage: https://github.com/openSUSE/umoci
 Vcs-Browser: https://salsa.debian.org/go-team/packages/umoci
 Vcs-Git: https://salsa.debian.org/go-team/packages/umoci.git
