=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,11 @@
 
 override_dh_auto_build:
 	COMMIT=1 COMMIT_NO=1 $(MAKE) doc
-	dh_auto_build
+	
+	## `go generate` must run in "vendor":
+	DH_GOPKG="github.com/openSUSE/umoci/vendor"    dh_auto_build -v
+	
+	dh_auto_build -v
 
 override_dh_clean:
 	dh_clean
