=== debian/changelog ===
umoci (0.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 08 Dec 2019 10:08:07 +1100

umoci (0.4.4+dfsg-5) unstable; urgency=medium

  * Removed "autopkgtest-pkg-go" due to #944271.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 15 Nov 2019 20:40:59 +1100

umoci (0.4.4+dfsg-4) unstable; urgency=medium

  * Different way to run `go generate` in "vendor" (Closes: #943891).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Nov 2019 14:29:09 +1100

umoci (0.4.4+dfsg-3) unstable; urgency=medium

  * dev: provide "api*" files.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 14 Oct 2019 14:57:52 +1100

umoci (0.4.4+dfsg-2) unstable; urgency=medium

  * Introduced -dev package as required by "singularity-container".
  * Standards-Version: 4.4.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 08 Oct 2019 22:53:00 +1100
