=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: umoci
 Section: devel
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11~)
@@ -29,7 +29,6 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/umoci
 Vcs-Git: https://salsa.debian.org/go-team/packages/umoci.git
 XS-Go-Import-Path: github.com/openSUSE/umoci
-Testsuite: autopkgtest-pkg-go
 
 Package: umoci
 Architecture: any
@@ -51,3 +50,29 @@
  .
  umoci provides tooling that can abstract all of the internals of the OCI
  specification into a single CLI interface.
+
+Package: golang-github-opensuse-umoci-dev
+Architecture: all
+Depends: ${misc:Depends}
+    ,golang-github-apex-log-dev
+    ,golang-github-cyphar-filepath-securejoin-dev
+    ,golang-github-klauspost-pgzip-dev
+    ,golang-github-opencontainers-go-digest-dev
+    ,golang-github-opencontainers-image-spec-dev
+    ,golang-github-vbatts-go-mtree-dev
+    ,golang-golang-x-net-dev
+    ,golang-goprotobuf-dev
+Description: umoci development files
+ umoci creates and modifies Open Container images.
+ See the official website (https://umo.ci/) for more accessible
+ documentation about how to use umoci.
+ .
+ umoci intends to be a complete manipulation tool for OCI images
+ (https://github.com/opencontainers/image-spec).  In particular, it should
+ be seen as a more end-user-focused version of the oci-image-tools provided
+ by the OCI (https://github.com/opencontainers/image-tools). The hope is
+ that all of this tooling will eventually be merged with the upstream
+ repository, so that it is always kept up-to-date by the Open Container
+ Initiative community.
+ .
+ This package provides Golang sources for the umoci API.
