=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,14 @@
 export DH_GOLANG_GO_GENERATE := 1
 
 %:
-	dh $@ --buildsystem=golang --with=golang
+	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
 
 override_dh_auto_build:
-	COMMIT=1 COMMIT_NO=1 $(MAKE) doc
+	COMMIT=1 COMMIT_NO=1 $(MAKE) local-doc
 	
-	## `go generate` must run in "vendor":
-	DH_GOPKG="github.com/openSUSE/umoci/vendor"    dh_auto_build -v
+## `go generate` sub-vendored component(s):
+	cd _build/src/github.com/openSUSE/umoci/vendor/ \
+	&& GO111MODULE=off go generate -v -x ./...
 	
 	dh_auto_build -v
