## umoci 0.4.6+ds

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # umoci: Umoci Modifies Open Containers' Images
-# Copyright (C) 2016-2019 SUSE LLC.
+# Copyright (C) 2016-2020 SUSE LLC
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -19,15 +19,33 @@
 # Go tools.
 GO ?= go
 GO_MD2MAN ?= go-md2man
-export GO111MODULE=off
+export GO111MODULE=on
 
 # Set up the ... lovely ... GOPATH hacks.
-PROJECT := github.com/openSUSE/umoci
+PROJECT := github.com/opencontainers/umoci
 CMD := ${PROJECT}/cmd/umoci
 
 # We use Docker because Go is just horrific to deal with.
 UMOCI_IMAGE := umoci_dev
-DOCKER_RUN := docker run --rm -it --security-opt apparmor:unconfined --security-opt label:disable -v ${PWD}:/go/src/${PROJECT}
+
+# TODO: We should test umoci with all of the security options disabled so that
+#       we can make sure umoci inside containers works fine (all of these
+#       security options are necessary for the test code to run, not umoci
+#       itself). The AppArmor/SELinux settings are needed because of the
+#       mount-related tests, and the seccomp/systempaths settings are required
+#       for the runc tests for rootless containers.
+# XXX: Ideally we'd use --security-opt systempaths=unconfined, but the version
+#      of Docker in Travis-CI doesn't support that. Bind-mounting the host's
+#      proc into the container is more dangerous but has the same effect on the
+#      in-kernel mnt_too_revealing() checks and works on old Docker.
+DOCKER_RUN          := docker run --rm -it \
+                                  -v ${PWD}:/go/src/${PROJECT} \
+                                  --security-opt seccomp=unconfined \
+                                  --security-opt apparmor=unconfined \
+                                  --security-opt label=disable \
+                                  -v /proc:/tmp/.HOTFIX-stashed-proc
+DOCKER_ROOTPRIV_RUN := $(DOCKER_RUN) --privileged --cap-add=SYS_ADMIN
+DOCKER_ROOTLESS_RUN := $(DOCKER_RUN) -u 1000:1000 --cap-drop=all
 
 # Output directory.
 BUILD_DIR ?= .
@@ -58,7 +76,7 @@
 
 .DEFAULT: umoci
 
-GO_SRC = $(shell find . -name \*.go)
+GO_SRC = $(shell find . -type f -name '*.go')
 
 # NOTE: If you change these make sure you also update local-validate-build.
 
@@ -76,7 +94,7 @@
 	hack/release.sh -v $(VERSION) -S "$(GPG_KEYID)"
 
 .PHONY: install
-install: umoci doc
+install: umoci docs
 	install -D -m0755 umoci $(DESTDIR)/$(BINDIR)/umoci
 	-for man in $(MANPAGES); do \
 		filename="$$(basename -- "$$man")"; \
@@ -100,9 +118,8 @@
 	$(DOCKER_RUN) $(UMOCI_IMAGE) make local-validate
 
 .PHONY: local-validate
-local-validate: local-validate-go local-validate-reproducible local-validate-build
-
-# TODO: Remove the special-case ignored system/* warnings.
+local-validate: local-validate-go local-validate-spell local-validate-reproducible local-validate-build
+
 .PHONY: local-validate-go
 local-validate-go:
 	@type gofmt     >/dev/null 2>/dev/null || (echo "ERROR: gofmt not found." && false)
@@ -114,6 +131,12 @@
 	@type gosec     >/dev/null 2>/dev/null || (echo "ERROR: gosec not found." && false)
 	test -z "$$(gosec -quiet -exclude=G301,G302,G304 $$GOPATH/$(PROJECT)/... | tee /dev/stderr)"
 	./hack/test-vendor.sh
+
+.PHONY: local-validate-spell
+local-validate-spell:
+	make clean
+	@type misspell  >/dev/null 2>/dev/null || (echo "ERROR: misspell not found." && false)
+	test -z "$$(find . -type f -print0 | xargs -0 misspell | grep -vE '/(vendor|third_party|\.site)/' | tee /dev/stderr)"
 
 # Make sure that our builds are reproducible even if you wait between them and
 # the modified time of the files is different.
@@ -134,18 +157,14 @@
 	env CGO_ENABLED=0 $(GO) build ${STATIC_BUILD_FLAGS} -o /dev/null ${CMD}
 	$(GO) test -run nothing ${DYN_BUILD_FLAGS} $(PROJECT)/...
 
-.PHONY: doc
-doc: umociimage
-	$(DOCKER_RUN) $(UMOCI_IMAGE) make local-doc
-
 MANPAGES_MD := $(wildcard doc/man/*.md)
 MANPAGES    := $(MANPAGES_MD:%.md=%)
 
 doc/man/%.1: doc/man/%.1.md
 	$(GO_MD2MAN) -in $< -out $@
 
-.PHONY: local-doc
-local-doc: $(MANPAGES)
+.PHONY: docs
+docs: $(MANPAGES)
 
 # Used for tests.
 DOCKER_IMAGE :=opensuse/amd64:tumbleweed
@@ -155,14 +174,15 @@
 	docker build -t $(UMOCI_IMAGE) --build-arg DOCKER_IMAGE=$(DOCKER_IMAGE) .
 
 ifndef COVERAGE
-COVERAGE := $(shell mktemp --dry-run umoci.cov.XXXXXX)
+COVERAGE := $(notdir $(shell mktemp -u umoci.cov.XXXXXX))
+export COVERAGE
 endif
 
 .PHONY: test-unit
 test-unit: umociimage
 	touch $(COVERAGE) && chmod a+rw $(COVERAGE)
-	$(DOCKER_RUN) -e COVERAGE=$(COVERAGE) --cap-add=SYS_ADMIN $(UMOCI_IMAGE) make local-test-unit
-	$(DOCKER_RUN) -e COVERAGE=$(COVERAGE) -u 1000:1000 --cap-drop=all $(UMOCI_IMAGE) make local-test-unit
+	$(DOCKER_ROOTPRIV_RUN) -e COVERAGE=$(COVERAGE) $(UMOCI_IMAGE) make local-test-unit
+	$(DOCKER_ROOTLESS_RUN) -e COVERAGE=$(COVERAGE) $(UMOCI_IMAGE) make local-test-unit
 
 .PHONY: local-test-unit
 local-test-unit:
@@ -171,16 +191,25 @@
 .PHONY: test-integration
 test-integration: umociimage
 	touch $(COVERAGE) && chmod a+rw $(COVERAGE)
-	$(DOCKER_RUN) -e COVERAGE=$(COVERAGE) $(UMOCI_IMAGE) make TESTS="${TESTS}" local-test-integration
-	$(DOCKER_RUN) -e COVERAGE=$(COVERAGE) -u 1000:1000 --cap-drop=all $(UMOCI_IMAGE) make TESTS="${TESTS}" local-test-integration
+	$(DOCKER_ROOTPRIV_RUN) -e COVERAGE=$(COVERAGE) $(UMOCI_IMAGE) make local-test-integration
+	$(DOCKER_ROOTLESS_RUN) -e COVERAGE=$(COVERAGE) $(UMOCI_IMAGE) make local-test-integration
 
 .PHONY: local-test-integration
 local-test-integration: umoci.cover
 	TESTS="${TESTS}" COVER=1 hack/test-integration.sh
 
+.PHONY: shell
 shell: umociimage
 	$(DOCKER_RUN) $(UMOCI_IMAGE) bash
 
+.PHONY: root-shell
+root-shell: umociimage
+	$(DOCKER_ROOTPRIV_RUN) $(UMOCI_IMAGE) bash
+
+.PHONY: rootless-shell
+rootless-shell: umociimage
+	$(DOCKER_ROOTLESS_RUN) $(UMOCI_IMAGE) bash
+
 .PHONY: ci
-ci: umoci umoci.cover doc validate test-unit test-integration
+ci: umoci umoci.cover validate docs test-unit test-integration
 	hack/ci-coverage.sh $(COVERAGE)
