=== debian/changelog ===
umoci (0.4.6+ds-2) unstable; urgency=medium

  * Team upload.
  * Don't set fake git commit in package version when building

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 03 Feb 2021 02:07:05 +0800

umoci (0.4.6+ds-1) unstable; urgency=medium

  * Team upload.

  [ Dmitry Smirnov ]
  * Updated for new project location/namespace.
  * Rules-Requires-Root: no

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata
  * Update standards version to 4.5.0, no changes needed.

  [ Shengjing Zhu ]
  * Change repacksuffix to +ds
  * New upstream version 0.4.6+ds
  * Refresh Build-Depends and Depends
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Bump debhelper-compat to 13
  * Add autopkgtest-go
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 03 Feb 2021 01:48:02 +0800
