=== debian/control ===
Source: umoci
Section: devel
Priority: optional
Standards-Version: 4.5.1
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-any,
               golang-github-apex-log-dev,
               golang-github-cyphar-filepath-securejoin-dev,
               golang-github-docker-go-units-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-mohae-deepcopy-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-pkg-errors-dev,
               golang-github-rootless-containers-proto-dev,
               golang-github-urfave-cli-dev,
               golang-github-vbatts-go-mtree-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-goprotobuf-dev,
Homepage: https://umo.ci
Vcs-Browser: https://salsa.debian.org/go-team/packages/umoci
Vcs-Git: https://salsa.debian.org/go-team/packages/umoci.git
XS-Go-Import-Path: github.com/opencontainers/umoci
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: umoci
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Open Container Images manipulation tool
 umoci creates and modifies Open Container images.
 See the official website (https://umo.ci/) for more accessible
 documentation about how to use umoci.
 .
 umoci intends to be a complete manipulation tool for OCI images
 (https://github.com/opencontainers/image-spec).  In particular, it should
 be seen as a more end-user-focused version of the oci-image-tools provided
 by the OCI (https://github.com/opencontainers/image-tools). The hope is
 that all of this tooling will eventually be merged with the upstream
 repository, so that it is always kept up-to-date by the Open Container
 Initiative community.
 .
 umoci provides tooling that can abstract all of the internals of the OCI
 specification into a single CLI interface.

Package: golang-github-opensuse-umoci-dev
Architecture: all
Depends: golang-github-apex-log-dev,
         golang-github-cyphar-filepath-securejoin-dev,
         golang-github-docker-go-units-dev,
         golang-github-klauspost-pgzip-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-pkg-errors-dev,
         golang-github-rootless-containers-proto-dev,
         golang-github-urfave-cli-dev,
         golang-github-vbatts-go-mtree-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         golang-goprotobuf-dev,
         ${misc:Depends},
Description: umoci development files
 umoci creates and modifies Open Container images.
 See the official website (https://umo.ci/) for more accessible
 documentation about how to use umoci.
 .
 umoci intends to be a complete manipulation tool for OCI images
 (https://github.com/opencontainers/image-spec).  In particular, it should
 be seen as a more end-user-focused version of the oci-image-tools provided
 by the OCI (https://github.com/opencontainers/image-tools). The hope is
 that all of this tooling will eventually be merged with the upstream
 repository, so that it is always kept up-to-date by the Open Container
 Initiative community.
 .
 This package provides Golang sources for the umoci API.
