=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

GOLDFLAGS += -X main.version=$(DEB_VERSION)

%:
	dh $@ --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	$(MAKE) docs

override_dh_auto_build:
	dh_auto_build -- -ldflags "$(GOLDFLAGS)"
