=== debian/changelog ===
umoci (0.4.7+ds-3) unstable; urgency=medium

  * Team upload.
  * Fix building with golang-github-rootless-containers-proto 0.1.2
  * Update Standards-Version to 4.6.1 (no changes)
  * Move golang-github-opensuse-umoci-dev to golang section
  * Add Multi-Arch hint

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Sep 2022 23:04:56 +0800

umoci (0.4.7+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix populating version string in d/rules

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 06 Apr 2021 22:51:40 +0800

umoci (0.4.7+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.7+ds
    CVE-2021-29136: malicious layer with symlink entry for "/" allows
    overwriting of host files

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 06 Apr 2021 22:42:24 +0800
