=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: umoci
 Section: devel
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -11,18 +11,20 @@
                golang-github-apex-log-dev,
                golang-github-cyphar-filepath-securejoin-dev,
                golang-github-docker-go-units-dev,
+               golang-github-klauspost-compress-dev,
                golang-github-klauspost-pgzip-dev,
                golang-github-mohae-deepcopy-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
+               golang-github-opencontainers-runc-dev,
                golang-github-opencontainers-specs-dev,
                golang-github-pkg-errors-dev,
-               golang-github-rootless-containers-proto-dev,
+               golang-github-rootless-containers-proto-dev (>= 0.1.2~),
+               golang-github-stretchr-testify-dev,
                golang-github-urfave-cli-dev,
                golang-github-vbatts-go-mtree-dev,
-               golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
-               golang-goprotobuf-dev,
+               golang-google-protobuf-dev,
 Homepage: https://umo.ci
 Vcs-Browser: https://salsa.debian.org/go-team/packages/umoci
 Vcs-Git: https://salsa.debian.org/go-team/packages/umoci.git
@@ -52,21 +54,24 @@
  specification into a single CLI interface.
 
 Package: golang-github-opensuse-umoci-dev
+Section: golang
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-apex-log-dev,
          golang-github-cyphar-filepath-securejoin-dev,
          golang-github-docker-go-units-dev,
+         golang-github-klauspost-compress-dev,
          golang-github-klauspost-pgzip-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev,
+         golang-github-opencontainers-runc-dev,
          golang-github-opencontainers-specs-dev,
          golang-github-pkg-errors-dev,
-         golang-github-rootless-containers-proto-dev,
+         golang-github-rootless-containers-proto-dev (>= 0.1.2~),
          golang-github-urfave-cli-dev,
          golang-github-vbatts-go-mtree-dev,
-         golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
-         golang-goprotobuf-dev,
+         golang-google-protobuf-dev,
          ${misc:Depends},
 Description: umoci development files
  umoci creates and modifies Open Container images.
