=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/default.mk
 
-GOLDFLAGS += -X main.version=$(DEB_VERSION)
+GOLDFLAGS += -X github.com/opencontainers/umoci.version=$(DEB_VERSION)
 
 %:
 	dh $@ --buildsystem=golang --with=golang
